Bug 859104 - (CVE-2013-4393) CVE-2013-4393 systemd: Possibility of denial of logging service by processing native messages from file
CVE-2013-4393 systemd: Possibility of denial of logging service by processing...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130923,reported=2...
: Security
Depends On:
Blocks: 859151
  Show dependency treegraph
 
Reported: 2012-09-20 10:47 EDT by Jan Lieskovsky
Modified: 2015-07-29 09:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 13:58:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-09-20 10:47:35 EDT
A possibility for denial of loggin service was found in the way journald functionality of systemd, a system and service manager, processed native messages when file was chosen as their origin. A local attacker could use this flaw to provide a specially-crafted file descriptor, leading the journald file read process to block, resultingin portion of subsequent native messages intended to be logged to be ignored.

Issue found by Florian Weimer, Red Hat Product Security Team
Comment 1 Jan Lieskovsky 2012-09-20 10:50:13 EDT
This issue affects the version of the systemd package, as shipped with Fedora release of 17.

--

This issue did NOT affect the version of the systemd package, as shipped with Fedora release of 16.
Comment 2 Vincent Danen 2013-10-01 18:51:01 EDT
Acknowledgements:

This issue was discovered by Florian Weimer of the Red Hat Product Security Team.
Comment 3 Vincent Danen 2013-10-01 18:51:39 EDT
This issue was assigned CVE-2013-4393:

http://www.openwall.com/lists/oss-security/2013/10/01/9
Comment 4 Marcus Meissner 2013-11-22 06:01:49 EST
do you know where this happens? and was this fixed in the meantime?
Comment 6 Zbigniew Jędrzejewski-Szmek 2013-12-03 13:58:08 EST
This bug is fixed in F >= 18.
Comment 7 Florian Weimer 2014-04-23 11:54:15 EDT
(In reply to Marcus Meissner from comment #5)
> after some digging it is probably in src/journal/journal-native.c:
> 
> 
> http://cgit.freedesktop.org/systemd/systemd/commit/src/journal/journald-
> native.c?id=1dfa7e79a60de680086b1d93fcc3629b463f58bd

Yes, that's right.  Sorry for the confusion.

Note You need to log in before you can comment on or make changes to this bug.